# class RSS::ImageFaviconModel::ImageFavicon

### Constants

AVAILABLE_SIZES

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/image.rb, line 166
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.about = args[0]
        self.size = args[1]
      end
    end

required_prefix() click to toggle source

    # File lib/rss/image.rb, line 132
    def required_prefix
      IMAGE_PREFIX
    end

required_uri() click to toggle source

    # File lib/rss/image.rb, line 136
    def required_uri
      IMAGE_URI
    end

### Public Instance Methods

full_name() click to toggle source

    # File lib/rss/image.rb, line 176
    def full_name
      tag_name_with_prefix(IMAGE_PREFIX)
    end

image_size=(new_value)
Alias for: size=
set_size(new_value)
Alias for: size=
size=(new_value) click to toggle source

    # File lib/rss/image.rb, line 152
    def size=(new_value)
      if @do_validate and !new_value.nil?
        new_value = new_value.strip
        unless AVAILABLE_SIZES.include?(new_value)
          attr_name = "#{IMAGE_PREFIX}:size"
          raise NotAvailableValueError.new(full_name, new_value, attr_name)
        end
      end
      set_size(new_value)
    end

Also aliased as: set_size, image_size=

### Private Instance Methods

maker_target(target) click to toggle source

    # File lib/rss/image.rb, line 181
    def maker_target(target)
      target.image_favicon
    end

setup_maker_attributes(favicon) click to toggle source

    # File lib/rss/image.rb, line 185
    def setup_maker_attributes(favicon)
      favicon.about = self.about
      favicon.size = self.size
    end